Freeciv-3.2: science_report Class Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Public Member Functions | Data Fields | Private Slots | Private Member Functions | Private Attributes
science_report Class Reference

`#include <repodlgs.h>`

Inheritance diagram for science_report:

## Public Member Functions

| science_report ()
| ~science_report ()
void | update_report ()
void | init ()
void | redraw ()
void | reset_tree ()

## Data Fields

struct gui_dialog * | shell
GtkComboBox * | reachable_techs
GtkComboBox * | reachable_goals
GtkWidget * | button_show_all
GtkLabel * | main_label
GtkProgressBar * | progress_bar
GtkLabel * | goal_label
GtkLayout * | drawing_area
GtkDrawingArea * | drawing_area

## Private Slots

void | current_tech_changed (int index)
void | goal_tech_changed (int index)

## Private Member Functions

void | update_reqtree ()

## Private Attributes

QComboBox * | goal_combo
QComboBox * | researching_combo
QGridLayout * | sci_layout
progress_bar * | progress
QLabel * | info_label
QLabel * | progress_label
QList< qlist_item > * | curr_list
QList< qlist_item > * | goal_list
research_diagram * | res_diag
QScrollArea * | scroll
int | index

## Detailed Description

Definition at line 69 of file repodlgs.c.

## Constructor & Destructor Documentation

## ◆ science_report()

science_report::science_report | ( |  | ) |

Consctructor for science_report

Definition at line 864 of file repodlgs.cpp.

## ◆ ~science_report()

science_report::~science_report | ( |  | ) |

Destructor for science report Removes "SCI" string marking it as closed And frees given index on list marking it as ready for new widget

Definition at line 916 of file repodlgs.cpp.

## Member Function Documentation

## ◆ current_tech_changed

void science_report::current_tech_changed | ( | int | changed_index | ) |

privateslot

Slot used when combo box with current tech changes

Definition at line 1125 of file repodlgs.cpp.

Referenced by science_report().

## ◆ goal_tech_changed

void science_report::goal_tech_changed | ( | int | changed_index | ) |

privateslot

Slot used when combo box with goal have been changed

Definition at line 1141 of file repodlgs.cpp.

Referenced by science_report().

## ◆ init()

void science_report::init | ( |  | ) |

Updates science_report and marks it as opened. It has to be called soon after constructor. It could be in constructor but compiler will yell about not used variable

Definition at line 933 of file repodlgs.cpp.

Referenced by science_report_dialog_popup(), and side_left_click_science().

## ◆ redraw()

void science_report::redraw | ( |  | ) |

Schedules paint event in some qt queue

Definition at line 944 of file repodlgs.cpp.

Referenced by science_report_dialog_popup(), and science_report_dialog_redraw().

## ◆ reset_tree()

void science_report::reset_tree | ( |  | ) |

Recalculates research diagram again and updates science report

Definition at line 952 of file repodlgs.cpp.

Referenced by tileset_changed().

## ◆ update_report()

void science_report::update_report | ( |  | ) |

Updates all important widgets on science_report

Definition at line 964 of file repodlgs.cpp.

Referenced by init(), and real_science_report_dialog_update().

## ◆ update_reqtree()

void science_report::update_reqtree | ( |  | ) |

private

Calls update for research_diagram

Definition at line 1117 of file repodlgs.cpp.

Referenced by update_report().

## Field Documentation

## ◆ button_show_all

GtkWidget * science_report::button_show_all

Definition at line 73 of file repodlgs.c.

## ◆ curr_list

QList<qlist_item>* science_report::curr_list

private

Definition at line 182 of file repodlgs.h.

Referenced by science_report(), update_report(), and ~science_report().

## ◆ drawing_area [1/2]

GtkLayout* science_report::drawing_area

Definition at line 77 of file repodlgs.c.

## ◆ drawing_area [2/2]

GtkDrawingArea* science_report::drawing_area

Definition at line 77 of file repodlgs.c.

## ◆ goal_combo

QComboBox* science_report::goal_combo

private

Definition at line 176 of file repodlgs.h.

Referenced by goal_tech_changed(), science_report(), and update_report().

## ◆ goal_label

GtkLabel * science_report::goal_label

Definition at line 76 of file repodlgs.c.

## ◆ goal_list

QList<qlist_item>* science_report::goal_list

private

Definition at line 183 of file repodlgs.h.

Referenced by science_report(), update_report(), and ~science_report().

## ◆ index

int science_report::index

private

Definition at line 197 of file repodlgs.h.

Referenced by init().

## ◆ info_label

QLabel* science_report::info_label

private

Definition at line 180 of file repodlgs.h.

Referenced by science_report(), and update_report().

## ◆ main_label

GtkLabel * science_report::main_label

Definition at line 74 of file repodlgs.c.

## ◆ progress

progress_bar* science_report::progress

private

Definition at line 179 of file repodlgs.h.

Referenced by science_report(), and update_report().

## ◆ progress_bar

GtkProgressBar * science_report::progress_bar

Definition at line 75 of file repodlgs.c.

Referenced by science_report().

## ◆ progress_label

QLabel* science_report::progress_label

private

Definition at line 181 of file repodlgs.h.

Referenced by science_report(), and update_report().

## ◆ reachable_goals

GtkComboBox * science_report::reachable_goals

Definition at line 72 of file repodlgs.c.

## ◆ reachable_techs

GtkComboBox * science_report::reachable_techs

Definition at line 71 of file repodlgs.c.

## ◆ res_diag

research_diagram* science_report::res_diag

private

Definition at line 184 of file repodlgs.h.

Referenced by reset_tree(), science_report(), and update_reqtree().

## ◆ researching_combo

QComboBox* science_report::researching_combo

private

Definition at line 177 of file repodlgs.h.

Referenced by current_tech_changed(), science_report(), and update_report().

## ◆ sci_layout

QGridLayout* science_report::sci_layout

private

Definition at line 178 of file repodlgs.h.

Referenced by science_report().

## ◆ scroll

QScrollArea* science_report::scroll

private

Definition at line 185 of file repodlgs.h.

Referenced by science_report().

## ◆ shell

struct gui_dialog * science_report::shell

Definition at line 70 of file repodlgs.c.

Referenced by real_science_report_dialog_update(), science_report_dialog_popdown(), science_report_dialog_popup(), and science_report_dialog_redraw().